Package com.collibra.dgc.core.api.dto.workflow

# Class FindWorkflowTasksRequest.Builder

Object
Builder

Enclosing class:
  `FindWorkflowTasksRequest`

public static final class FindWorkflowTasksRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindWorkflowTasksRequest`
  `build()`
  `FindWorkflowTasksRequest.Builder`
  `businessItem(UUID businessItemId, FindWorkflowTasksRequest.BusinessItemType businessItemType)`
  Sets the details of the business item that found tasks should relate to.
  `FindWorkflowTasksRequest.Builder`
  `businessItemId(UUID businessItemId)`
  Deprecated.
  use com.collibra.dgc.core.api.dto.workflow.FindWorkflowTasksRequest.Builder#businessItem(java.util.UUID, com.collibra.dgc.core.api.dto.workflow.FindWorkflowTasksRequest.BusinessItemType) instead.
  `FindWorkflowTasksRequest.Builder`
  `businessItemName(String businessItemName)`
  `FindWorkflowTasksRequest.Builder`
  `businessItemType(FindWorkflowTasksRequest.BusinessItemType businessItemType)`
  Deprecated.
  use com.collibra.dgc.core.api.dto.workflow.FindWorkflowTasksRequest.Builder#businessItem(java.util.UUID, com.collibra.dgc.core.api.dto.workflow.FindWorkflowTasksRequest.BusinessItemType) instead.
  `FindWorkflowTasksRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindWorkflowTasksRequest.Builder`
  `createDate(Long createDate)`
  `FindWorkflowTasksRequest.Builder`
  `description(String description)`
  `FindWorkflowTasksRequest.Builder`
  `dueDate(Long dueDate)`
  `FindWorkflowTasksRequest.Builder`
  `limit(int limit)`
  `FindWorkflowTasksRequest.Builder`
  `offset(int offset)`
  `FindWorkflowTasksRequest.Builder`
  `sortField(FindWorkflowTasksRequest.SortField sortField)`
  `FindWorkflowTasksRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `FindWorkflowTasksRequest.Builder`
  `taskIdPhrase(String taskIdPhrase)`
  Sets the id (or part of it) of the task.
  `FindWorkflowTasksRequest.Builder`
  `title(String title)`
  `String`
  `toString()`
  `FindWorkflowTasksRequest.Builder`
  `type(String type)`
  `FindWorkflowTasksRequest.Builder`
  `userId(UUID userId)`
  `FindWorkflowTasksRequest.Builder`
  `workflowTaskUserRelation(FindWorkflowTasksRequest.WorkflowTaskUserRelation workflowTaskUserRelation)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindWorkflowTasksRequest.Builder offset(int offset)

  - ### limit

    public FindWorkflowTasksRequest.Builder limit(int limit)

  - ### businessItemId

    @Deprecated public FindWorkflowTasksRequest.Builder businessItemId(UUID businessItemId)
    Deprecated.
    use com.collibra.dgc.core.api.dto.workflow.FindWorkflowTasksRequest.Builder#businessItem(java.util.UUID, com.collibra.dgc.core.api.dto.workflow.FindWorkflowTasksRequest.BusinessItemType) instead.
    Sets the business item ID
    Parameters:
      `businessItemId` -
    Returns:
      the builder

  - ### businessItemType

    @Deprecated public FindWorkflowTasksRequest.Builder businessItemType(FindWorkflowTasksRequest.BusinessItemType businessItemType)
    Deprecated.
    use com.collibra.dgc.core.api.dto.workflow.FindWorkflowTasksRequest.Builder#businessItem(java.util.UUID, com.collibra.dgc.core.api.dto.workflow.FindWorkflowTasksRequest.BusinessItemType) instead.
    Sets the business item type
    Parameters:
      `businessItemType` -
    Returns:
      the builder

  - ### taskIdPhrase

    public FindWorkflowTasksRequest.Builder taskIdPhrase(String taskIdPhrase)
    Sets the id (or part of it) of the task.
    Parameters:
      `taskIdPhrase` - The id (or part of it) of the task
    Returns:
      the builder

  - ### businessItem

    public FindWorkflowTasksRequest.Builder businessItem(UUID businessItemId, FindWorkflowTasksRequest.BusinessItemType businessItemType)
    Sets the details of the business item that found tasks should relate to.
    Parameters:
      `businessItemId` - The business item ID
      `businessItemType` - the business item type
    Returns:
      the builder

  - ### but

    @Deprecated public FindWorkflowTasksRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindWorkflowTasksRequest.builder()`
    Clone method for this Builder.

  - ### workflowTaskUserRelation

    public FindWorkflowTasksRequest.Builder workflowTaskUserRelation(FindWorkflowTasksRequest.WorkflowTaskUserRelation workflowTaskUserRelation)
    Returns:
      `this`.

  - ### businessItemName

    public FindWorkflowTasksRequest.Builder businessItemName(String businessItemName)
    Returns:
      `this`.

  - ### userId

    public FindWorkflowTasksRequest.Builder userId(UUID userId)
    Returns:
      `this`.

  - ### createDate

    public FindWorkflowTasksRequest.Builder createDate(Long createDate)
    Returns:
      `this`.

  - ### dueDate

    public FindWorkflowTasksRequest.Builder dueDate(Long dueDate)
    Returns:
      `this`.

  - ### title

    public FindWorkflowTasksRequest.Builder title(String title)
    Returns:
      `this`.

  - ### type

    public FindWorkflowTasksRequest.Builder type(String type)
    Returns:
      `this`.

  - ### sortField

    public FindWorkflowTasksRequest.Builder sortField(FindWorkflowTasksRequest.SortField sortField)
    Returns:
      `this`.

  - ### sortOrder

    public FindWorkflowTasksRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### description

    public FindWorkflowTasksRequest.Builder description(String description)
    Returns:
      `this`.

  - ### build

    public FindWorkflowTasksRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`